changeset 21850:0507f0d2135d

indent preprocessor directives in octave-config.h and oct-conf-post.h * build-aux/mk-octave-config-h.sh: Indent preprocessor directives in generated output. * oct-conf-post.in.h: Indent preprocessor directives.
author John W. Eaton <jwe@octave.org>
date Fri, 10 Jun 2016 13:57:17 -0400
parents b1245db21f00
children e2deba5ca08c
files build-aux/mk-octave-config-h.sh oct-conf-post.in.h
diffstat 2 files changed, 62 insertions(+), 58 deletions(-) [+]
line wrap: on
line diff
--- a/build-aux/mk-octave-config-h.sh	Fri Jun 10 11:48:03 2016 -0400
+++ b/build-aux/mk-octave-config-h.sh	Fri Jun 10 13:57:17 2016 -0400
@@ -92,54 +92,56 @@
 
 #if ! defined (OCTAVE_AUTOCONFIG_H_INCLUDED)
 
-#include <stdint.h>
+#  if defined (__cplusplus)
+#    include <cstdint>
+#  else
+#    include <stdint.h>
+#  endif
 
-#if defined (__GNUC__)
-#  if __GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 5)
-#    define OCTAVE_DEPRECATED(msg) __attribute__ ((__deprecated__ (msg)))
-#  else
-#    define OCTAVE_DEPRECATED(msg) __attribute__ ((__deprecated__))
-#  endif
-#  define OCTAVE_NORETURN __attribute__ ((__noreturn__))
-#  define OCTAVE_UNUSED __attribute__ ((__unused__))
+#  if defined (__GNUC__)
+#    if __GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 5)
+#      define OCTAVE_DEPRECATED(msg) __attribute__ ((__deprecated__ (msg)))
+#    else
+#      define OCTAVE_DEPRECATED(msg) __attribute__ ((__deprecated__))
+#    endif
+#    define OCTAVE_NORETURN __attribute__ ((__noreturn__))
+#    define OCTAVE_UNUSED __attribute__ ((__unused__))
 
-#  define HAVE_OCTAVE_DEPRECATED_ATTR 1
-#  define HAVE_OCTAVE_NORETURN_ATTR 1
-#  define HAVE_OCTAVE_UNUSED_ATTR 1
-#else
-#  define OCTAVE_DEPRECATED(msg)
-#  define OCTAVE_NORETURN
-#  define OCTAVE_UNUSED
+#    define HAVE_OCTAVE_DEPRECATED_ATTR 1
+#    define HAVE_OCTAVE_NORETURN_ATTR 1
+#    define HAVE_OCTAVE_UNUSED_ATTR 1
+#  else
+#    define OCTAVE_DEPRECATED(msg)
+#    define OCTAVE_NORETURN
+#    define OCTAVE_UNUSED
 
-/* #  undef HAVE_OCTAVE_DEPRECATED_ATTR */
-/* #  undef HAVE_OCTAVE_NORETURN_ATTR */
-/* #  undef HAVE_OCTAVE_UNUSED_ATTR */
-#endif
+/* #    undef HAVE_OCTAVE_DEPRECATED_ATTR */
+/* #    undef HAVE_OCTAVE_NORETURN_ATTR */
+/* #    undef HAVE_OCTAVE_UNUSED_ATTR */
+#  endif
 
-#define OCTAVE_USE_DEPRECATED_FUNCTIONS 1
+#  define OCTAVE_USE_DEPRECATED_FUNCTIONS 1
 
-#if defined (__cplusplus)
+#  if defined (__cplusplus)
 template <typename T>
 static inline void
 octave_unused_parameter (const T&)
 { }
-#else
-#  define octave_unused_parameter(param) (void) param;
-#endif
+#  else
+#    define octave_unused_parameter(param) (void) param;
+#  endif
 
-#if defined (_MSC_VER)
-#  define OCTAVE_EXPORT __declspec(dllexport)
-#  define OCTAVE_IMPORT __declspec(dllimport)
-#else
-   /* All other compilers, at least for now. */
-#  define OCTAVE_EXPORT
-#  define OCTAVE_IMPORT
-#endif
+#  if defined (_MSC_VER)
+#    define OCTAVE_EXPORT __declspec(dllexport)
+#    define OCTAVE_IMPORT __declspec(dllimport)
+#  else
+     /* All other compilers, at least for now. */
+#    define OCTAVE_EXPORT
+#    define OCTAVE_IMPORT
+#  endif
 
-#define OCTAVE_API OCTAVE_IMPORT
-#define OCTINTERP_API OCTAVE_IMPORT
-
-#include <stdint.h>
+#  define OCTAVE_API OCTAVE_IMPORT
+#  define OCTINTERP_API OCTAVE_IMPORT
 EOF
 
 octave_idx_type="`sed -n 's/#define OCTAVE_IDX_TYPE \([_a-zA-Z][_a-zA-Z0-9]*\)/\1/p' $config_h_file`"
@@ -156,20 +158,20 @@
 EOF
 
 if grep "#define OCTAVE_ENABLE_FLOAT_TRUNCATE 1" $config_h_file > /dev/null; then
-  echo "#define OCTAVE_FLOAT_TRUNCATE volatile"
+  echo "#  define OCTAVE_FLOAT_TRUNCATE volatile"
 else
-  echo "#define OCTAVE_FLOAT_TRUNCATE"
+  echo "#  define OCTAVE_FLOAT_TRUNCATE"
 fi
 
-grep "#\(undef\|define\) OCTAVE_ENABLE_64" $config_h_file
-grep "#\(undef\|define\) OCTAVE_ENABLE_ATOMIC_REFCOUNT" $config_h_file
-grep "#\(undef\|define\) OCTAVE_ENABLE_BOUNDS_CHECK" $config_h_file
-grep "#\(undef\|define\) OCTAVE_ENABLE_OPENMP" $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_ENABLE_64.*$\)/#  \1/p' $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_ENABLE_ATOMIC_REFCOUNT.*$\)/#  \1/p' $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_ENABLE_BOUNDS_CHECK.*$\)/#  \1/p' $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_ENABLE_OPENMP.*$\)/#  \1/p' $config_h_file
 
-grep "#\(undef\|define\) OCTAVE_HAVE_FAST_INT_OPS" $config_h_file
-grep "#\(undef\|define\) OCTAVE_HAVE_LONG_LONG_INT" $config_h_file
-grep "#\(undef\|define\) OCTAVE_HAVE_UNSIGNED_LONG_LONG_INT" $config_h_file
-grep "#\(undef\|define\) OCTAVE_HAVE_OVERLOAD_CHAR_INT8_TYPES" $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_HAVE_FAST_INT_OPS.*$\)/#  \1/p' $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_HAVE_LONG_LONG_INT.*$\)/#  \1/p' $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_HAVE_UNSIGNED_LONG_LONG_INT.*$\)/#  \1/p' $config_h_file
+sed -n 's/#\(\(undef\|define\) OCTAVE_HAVE_OVERLOAD_CHAR_INT8_TYPES.*$\)/#  \1/p' $config_h_file
 
 if grep "#undef HAVE_DEV_T" $config_h_file > /dev/null; then
   cat << EOF
@@ -212,27 +214,27 @@
 fi
 
 if test $sizeof_long_double -ge 10 && test $have_roundl = yes; then
-  echo "#define OCTAVE_INT_USE_LONG_DOUBLE 1"
+  echo "#  define OCTAVE_INT_USE_LONG_DOUBLE 1"
   if test $sizeof_long_double -lt 16; then
     cat << EOF
 
-#if (defined (__i386__) || defined (__x86_64__)) && defined (__GNUC__)
-#  define OCTAVE_ENSURE_LONG_DOUBLE_OPERATIONS_ARE_NOT_TRUNCATED 1
-#endif
+#  if (defined (__i386__) || defined (__x86_64__)) && defined (__GNUC__)
+#    define OCTAVE_ENSURE_LONG_DOUBLE_OPERATIONS_ARE_NOT_TRUNCATED 1
+#  endif
 EOF
   else
     cat << EOF
-/* #undef OCTAVE_ENSURE_LONG_DOUBLE_OPERATIONS_ARE_NOT_TRUNCATED */
+/* #  undef OCTAVE_ENSURE_LONG_DOUBLE_OPERATIONS_ARE_NOT_TRUNCATED */
 EOF
   fi
 else
   cat << EOF
-/* #undef OCTAVE_INT_USE_LONG_DOUBLE */
-/* #undef OCTAVE_ENSURE_LONG_DOUBLE_OPERATIONS_ARE_NOT_TRUNCATED */
+/* #  undef OCTAVE_INT_USE_LONG_DOUBLE */
+/* #  undef OCTAVE_ENSURE_LONG_DOUBLE_OPERATIONS_ARE_NOT_TRUNCATED */
 EOF
 fi
 
-grep "#\(undef\|define\) F77_FUNC" $config_h_file
+sed -n 's/#\(\(undef\|define\) F77_FUNC.*$\)/#  \1/p' $config_h_file
 
 cat << EOF
 
--- a/oct-conf-post.in.h	Fri Jun 10 11:48:03 2016 -0400
+++ b/oct-conf-post.in.h	Fri Jun 10 13:57:17 2016 -0400
@@ -194,9 +194,11 @@
 #  define OCTAVE_FLOAT_TRUNCATE
 #endif
 
-/* oct-types.h */
-
-#include <stdint.h>
+#if defined (__cplusplus)
+#  include <cstdint>
+#else
+#  include <stdint.h>
+#endif
 
 typedef OCTAVE_IDX_TYPE octave_idx_type;